LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

create an interop assembly for .NET 3.5 with LAbVIEW 2013

Hello folks,

 

I want to know, if it is possible to create a .NET assembly for .NET 3.5 with LabVIEW 2013. According to the LV help, LabVIEW uses .NET 4.0.

 

One of our customers asked for an application with an .NET interface. For testing purposes I created a small application and a .NET assembly to call the small application. At my local machine all worked well.

But the customer now complains about the .NET version. He is using .NET 3.5 and so can not play and test with my test app.

 

One possible solution would be go back to LV2011. But I would prefer to use LV2013.

 

Regards

Heinrich Eidloth

 

0 Kudos
Message 1 of 4
(2,728 Views)

Dear Heinrich-Hans,

 

you can force LabVIEW 2013 to create interop assemblies in a lower .NET Version by editing the labview.ini . This is described in this article:

http://digital.ni.com/public.nsf/allkb/1BAA896E8E51E1BD86257B6A0055F200?OpenDocument

 

Best regards

AndGar

Andreas Gareis
Senior Applications Engineer, NI
Certified LabVIEW Developer & TestStand Architect
0 Kudos
Message 2 of 4
(2,691 Views)

Dear Angard,

 

thank you for your answer and the link. I have just tested it, and it is working.

 

Best Regards

Heinrich-Hans

0 Kudos
Message 3 of 4
(2,674 Views)

Could you explain me how to change the .ini? ... the link above is not available,

 

Thanks in advance.

0 Kudos
Message 4 of 4
(2,147 Views)